libNVVM API (PDF) - v6.0 (older) - Last updated February 13, 2014 - Send Feedback -

## 1.1. Error Handling

### Enumerations

enum nvvmResult
  NVVM API call result code.

### Functions

const char* nvvmGetErrorString ( nvvmResult result )
  Get the message string for the given nvvmResult code.

### Enumerations

enum nvvmResult

  ###### Values

  NVVM_SUCCESS = 0
  NVVM_ERROR_OUT_OF_MEMORY = 1
  NVVM_ERROR_PROGRAM_CREATION_FAILURE = 2
  NVVM_ERROR_IR_VERSION_MISMATCH = 3
  NVVM_ERROR_INVALID_INPUT = 4
  NVVM_ERROR_INVALID_PROGRAM = 5
  NVVM_ERROR_INVALID_IR = 6
  NVVM_ERROR_INVALID_OPTION = 7
  NVVM_ERROR_NO_MODULE_IN_PROGRAM = 8
  NVVM_ERROR_COMPILATION = 9

### Functions

const char* nvvmGetErrorString ( nvvmResult result )
  Get the message string for the given nvvmResult code.

  ###### Parameters

  `result`
    NVVM API result code.

  ###### Returns

  Message string for the given nvvmResult code.

  ###### Description